Package tigase.vhosts

## Class VHostItemDefaults

- java.lang.Object
- - tigase.vhosts.VHostItemDefaults

-     @Bean(name="defaults",
            parent=VHostManager.class,
            active=true,
            exportable=true)
      public class VHostItemDefaults
      extends java.lang.Object

  Created by andrzej on 01.07.2017.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VHostItemDefaults()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DomainFilterPolicy` | `getDomainFilter()` |
    `java.lang.String[]` | `getDomainFilterDomains()` |
    `long` | `getMaxUsersNumber()` |
    `JID` | `getMessageForward()` |
    `JID` | `getPresenceForward()` |
    `java.lang.String` | `getS2sSecret()` |
    `java.util.concurrent.ConcurrentSkipListSet<java.lang.String>` | `getTrusted()` |
    `boolean` | `isAnonymousEnabled()` |
    `boolean` | `isCheckDns()` |
    `boolean` | `isRegisterEnabled()` |
    `boolean` | `isTlsRequired()` |
    `void` | `setDomainFilterStr​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VHostItemDefaults

          public VHostItemDefaults()

  - ### Method Detail

    - #### getDomainFilter

          public DomainFilterPolicy getDomainFilter()

    - #### getDomainFilterDomains

          public java.lang.String[] getDomainFilterDomains()

    - #### getMaxUsersNumber

          public long getMaxUsersNumber()

    - #### getMessageForward

          public JID getMessageForward()

    - #### getPresenceForward

          public JID getPresenceForward()

    - #### getS2sSecret

          public java.lang.String getS2sSecret()

    - #### getTrusted

          public java.util.concurrent.ConcurrentSkipListSet<java.lang.String> getTrusted()

    - #### isAnonymousEnabled

          public boolean isAnonymousEnabled()

    - #### isCheckDns

          public boolean isCheckDns()

    - #### isRegisterEnabled

          public boolean isRegisterEnabled()

    - #### isTlsRequired

          public boolean isTlsRequired()

    - #### setDomainFilterStr

          public void setDomainFilterStr​(java.lang.String value)